[arch-commits] Commit in hasktags/repos (2 files)

Felix Yan felixonmars at archlinux.org
Sun Jun 30 04:52:29 UTC 2019


    Date: Sunday, June 30, 2019 @ 04:52:29
  Author: felixonmars
Revision: 486081

archrelease: copy trunk to community-staging-x86_64

Added:
  hasktags/repos/community-staging-x86_64/
  hasktags/repos/community-staging-x86_64/PKGBUILD
    (from rev 486080, hasktags/trunk/PKGBUILD)

----------+
 PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

Copied: hasktags/repos/community-staging-x86_64/PKGBUILD (from rev 486080, hasktags/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2019-06-30 04:52:29 UTC (rev 486081)
@@ -0,0 +1,49 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=hasktags
+pkgver=0.71.2
+pkgrel=33
+pkgdesc="Produces ctags \"tags\" and etags \"TAGS\" files for Haskell programs"
+url="https://github.com/MarcWeber/hasktags"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-json' 'haskell-microlens-platform' 'haskell-optparse-applicative'
+         'haskell-utf8-string')
+makedepends=('ghc' 'haskell-hunit')
+source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('649f8e74202dc08b8c37535c2fb0fefe11c55bc9de300093b20e7b224fa6daccbc938988ef810a479e745b53270215fc847caa6e0b06310a7d1c7493fc37b1ce')
+
+prepare() {
+    cd $pkgname-$pkgver
+    sed -i 's/< *0.4/<1/' $pkgname.cabal
+}
+
+build() {
+    cd $pkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+            -f-debug
+    runhaskell Setup build
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $pkgname-$pkgver
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $pkgname-$pkgver
+    
+    install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+    install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+    runhaskell Setup copy --destdir="${pkgdir}"
+    install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+    rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}



More information about the arch-commits mailing list